%define product_family Anolis OS
%define base_release_version 8
%define anolis_release_version 8.6-3

Name:           anolis-release-rawhide
Version:        8
Release:        2%{?dist}
Summary:        Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration

Group:          System Environment/Base
License:        MulanPSLv2

Source0:        AnolisOS-Experimental.repo
source1:        AnolisOS-EPAO.repo

BuildArch:  noarch

%description
Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration


%package -n anolis-release-experimental
Summary:        Experimental Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       anolis-experimental
BuildArch:      noarch
Requires:       anolis-release >=  %{anolis_release_version}
%description -n anolis-release-experimental
This package contains the Experimental Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%package -n anolis-release-epao
Summary:        EPAO Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       anolis-epao
BuildArch:      noarch
Requires:       anolis-release >=  %{anolis_release_version}
%description -n anolis-release-epao
This package contains the EPAO Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%prep
echo OK

%build
echo OK


%install
# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} %{SOURCE1}  \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d


%files -n anolis-release-experimental
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/AnolisOS-Experimental.repo


%files -n anolis-release-epao
%config(noreplace) /etc/yum.repos.d/AnolisOS-EPAO.repo

%changelog
* Wed Jan 18 2023 Zhao Hang <wb-zh951434@alibaba-inc.com> - 8-3
- Update package name

* Tue Aug 23 2022 Zhao Hang <wb-zh951434@alibaba-inc.com> - 8-2
- Update anolis-release version requiresment for package

* Tue Jul 12 2022 Zhao Hang <wb-zh951434@alibaba-inc.com> - 8-1
- Add rawide-release for Anolis OS 8
